Name: mdpop3d
Version: 0.97
Release: 1
Summary: Post Office Protocol v3 daemon for Maildirs
Group: System/Daemons
Source: ftp://ftp.corpit.ru/pub/mjt/%{name}-%{version}.tar.gz
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires: pam /etc/pam.d/system-auth
Packager: Michael Tokarev <mjt@corpit.ru>

%description
This is a simple and small POP3 daemon implementation designed for
Maildir support.  It have direct support for authenticating regular
unix users, has UIDL command support, can access maildirs in
non-default location, and have support for external (pre-)authenticators.

%changelog
* Mon Feb 26 2001 Michael Tokarev <mjt@corpit.ru>
- 0.97
 - bug: my misinterpretation of rfc: top allows second arg to be zero,
   mdpop3d refuses to accept numbers < 1
 - do not log passwords in debug (-d) mode, reflect this in manpage
 - some little reformatting (I use 100-chars line mode at home :)
 - allow numbers (for msgno, linecount) to be greather (limit was 32768,
  now it assumed to be according to bits in int type).

* Tue Feb 06 2001 Michael Tokarev <mjt@corpit.ru>
- 0.96
 - bug: APOP implementation allows to use sniffed data to log in using USER/PASS.
  corrected by disallowing password to start with "APOP ", maybe use other design
  instead (e.g. set up seed in some pam_env item and a hash as a password)?
 - added number of messages deleted in final log entry in additional to what's left.
 - some more todo items... :)

* Thu Jan 25 2001 Michael Tokarev <mjt@corpit.ru>
- 0.95
 - corrected problem with snprintf and bufsize < 0

* Wed Jan 3 2001 Michael Tokarev <mjt@corpit.ru>
- 0.94:
 - PAM session management is in place.
 - implemented rereading of username from PAM, as some module can change this.
 - now allow $MAILDIR to be set inside PAM (command-line option still takes
  precedence)
 - Changed PAM code a bit to prevent possible (but very rare) accessing
  removed data via conv.appdata_ptr (allocated on stack) in pam_end --
  can pam_end call conversation function?!
 - removed RFCs from distro - took more than 70% :)
 - changed internal message structure (message list now contains pointers
  to individual message descriptions, not descriptions themselfs) -- to
  allow bigger message list
 - used block memory allocator for message descriptions, to be more efficient
  in memory allocation
 - modified slightly new/ => cur/ moving code, it's more reliable now
 - implemented -h (help) option
 - changed copyright notice to be more GPL-like
 - added `-c' option - commit maildir updates on timeout/lost connection,
  to help with broken clients on slow dialup links.

* Sun Dec 17 2000 Michael Tokarev <mjt@corpit.ru>
- 0.93.  mdpop3d now uses error message from pam when
  reporting "Login incorrect" condition.

* Sun Dec 12 2000 Michael Tokarev <mjt@corpit.ru>
- 0.92.  Implemented optional APOP command (need PAM module).

* Sat Dec  9 2000 Michael Tokarev <mjt@corpit.ru>
- 0.91.  Implemented CAPA command.

* Wed Nov 29 2000 Michael Tokarev <mjt@corpit.ru>
- some little tweaks; %{version}
- first public v0.8

* Sun Oct 29 2000 Michael Tokarev <mjt@corpit.ru>
- initial release

%prep
%setup

%build
make CFLAGS="${RPM_OPT_FLAGS}" DEFS=-DUSE_PAM LIBS=-lpam OPTS=-DUSE_APOP

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_mandir}/man8,%{_sbindir},/etc/pam.d}
cp %{name} $RPM_BUILD_ROOT%{_sbindir}/in.%{name}
cp -p %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/in.%{name}.8
ln -s in.%{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8/%{name}.8
cp -p pop3.pamd $RPM_BUILD_ROOT/etc/pam.d/pop3

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*
%config /etc/pam.d/pop3

%clean
rm -rf $RPM_BUILD_ROOT
